# The campaign object

```
{
    "id": "ceaef6d9-767e-49aa-a6ab-46c02aa79604",
    "created_at": "2021-11-24T06:31:06.672Z",
    "updated_at": "2022-02-22T23:17:55.119Z",
    "name": "Best Friends of Rewardful",
    "url": "https://rewardful.com/",
    "private": false,
    "private_tokens": false,
    "commission_amount_cents": null,
    "commission_amount_currency": null,
    "minimum_payout_cents": 0,
    "max_commission_period_months": null,
    "max_commissions": null,
    "days_before_referrals_expire": 30,
    "days_until_commissions_are_due": 30,
    "affiliate_dashboard_text": "",
    "custom_reward_description": "",
    "welcome_text": "",
    "customers_visible_to_affiliates": false,
    "sale_description_visible_to_affiliates": true,
    "parameter_type": "query",
    "stripe_coupon_id": "jo45MTj3",
    "default": false,
    "reward_type": "percent",
    "commission_percent": 30.0,
    "minimum_payout_currency": "USD",
    "visitors": 150,
    "leads": 39,
    "conversions": 7,
    "affiliates": 12
}
```

## Attributes

| Name                                     | Data Type | Description                                                                                                                                                           |
| ---------------------------------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                                     | `string`  | Unique identifier for the campaign                                                                                                                                    |
| `created_at`                             | `string`  | Time at which the campaign was created                                                                                                                                |
| `updated_at`                             | `string`  | Time at which the campaign was last updated                                                                                                                           |
| `name`                                   | `string`  | The campaign's name                                                                                                                                                   |
| `url`                                    | `string`  | The base URL that will be used to generate affiliate links for the campaign                                                                                           |
| `private`                                | `boolean` | Indicates whether affiliates need to be invited to register or if it's open to the public                                                                             |
| `private_tokens`                         | `boolean` | When `true`, affiliates' tokens will be created as a random string of characters instead of being based on their names.                                               |
| `reward_type`                            | `string`  | The type of reward associated with this campaign - `percent` or `amount`                                                                                              |
| `commission_percent`                     | `float`   | The commission percentage for this campaign, only if `reward_type` is `percent`                                                                                       |
| `commission_amount_cents`                | `integer` | The amount of the fixed commission for this campaign in cents, only if `reward_type` is `amount`                                                                      |
| `commission_amount_currency`             | `string`  | ISO currency code in which the fixed commission for this campaign is denominated, only if `reward_type` is `amount`                                                   |
| `minimum_payout_cents`                   | `integer` | The minimum amount of cumulative commissions required for an affiliate to receive a payout in cents                                                                   |
| `minimum_payout_currency`                | `string`  | ISO currency code in which the minimum payout amount for this campaign is denominated, always equal to your company's display currency                                |
| `max_commission_period_months`           | `integer` | The maximum number of months that an affiliate in this campaign may receive commissions for any single referral                                                       |
| `max_commissions`                        | `integer` | The maximum number of commissions that an affiliate in this campaign may receive commissions for any single referral                                                  |
| `days_before_referrals_expire`           | `integer` | The maximum number of days allowed between referral creation and conversion to a customer                                                                             |
| `days_until_commissions_are_due`         | `integer` | The number of days between a sale and when the corresponding conversion becomes due                                                                                   |
| `default`                                | `boolean` | `true` if this is your company's default campaign, `false` otherwise                                                                                                  |
| `affiliate_dashboard_text`               | `text`    | Text that will be displayed to affiliates in this campaign immediately upon login                                                                                     |
| `custom_reward_description`              | `text`    | A custom description of the reward offered under this campaign                                                                                                        |
| `welcome_text`                           | `text`    | The text that will be displayed to potential affiliates on the sign up page for your campaign                                                                         |
| `customers_visible_to_affiliates`        | `boolean` | Indicates whether affiliates in this campaign are permitted to view identifying information for the customers they refer                                              |
| `sale_description_visible_to_affiliates` | `boolean` | Indicates whether affiliates in this campaign are permitted to view information about the purchases of their referred customers                                       |
| `parameter_type`                         | `string`  | Determines where Rewardful will look to find affiliate token parameters -as a query string parameter (`query`) or a hash fragment (`hash`)                            |
| `stripe_coupon_id`                       | `string`  | The ID of the Stripe coupon associated with this campaign, used for [double-sided incentives](https://help.rewardful.com/en/articles/3024552-double-sided-incentives) |
| `visitors`                               | `integer` | The total number of unique visitors attributes to this campaign                                                                                                       |
| `leads`                                  | `integer` | The total number of leads (anonymous visitors who became customers) attributed to this campaign                                                                       |
| `conversions`                            | `integer` | The total number of conversions (leads who have made at least one payment) attributed to this campaign                                                                |
| `affiliates`                             | `integer` | The total number of affiliates registered for this campaign                                                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/rest-api/campaigns/the-campaign-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
